package app.views.match;

import app.data.service.MatchService;
import app.data.service.MatchdayService;
import app.data.service.SeasonService;
import app.navigation.service.NavigationService;
import app.views.main.MainView;
import app.views.navigation.NavigationViewBase;
import com.vaadin.flow.component.dependency.CssImport;
import com.vaadin.flow.router.PageTitle;
import com.vaadin.flow.router.Route;
import org.springframework.beans.factory.annotation.Autowired;

@CssImport("app/views/match/match-view.css")
@Route(value = "match", layout = MainView.class)
@PageTitle("Schachliga DACH - Results - Matches")
public class MatchView extends NavigationViewBase {

    private final MatchService matchService;

    public MatchView(@Autowired NavigationService navigationService,
                     @Autowired MatchService matchService) {
        super(navigationService, true, true, true);
        this.matchService = matchService;

        addClassName("match-view");

        configureLayout();
    }

    ///////////
    // ROUTE //
    ///////////

    @Override
    public String getRoute() {
        return "match";
    }

    ////////////
    // LAYOUT //
    ////////////

    private void configureLayout() {
    }

    /////////////
    // CONTENT //
    /////////////

    @Override
    protected void configureContent() {
    }
}
